# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`borg`](#borg): Main class, includes all other classes.

#### Private Classes

* `borg::config`
* `borg::install`: This class handles the installation. Avoid modifying private classes.
* `borg::service`

## Classes

### <a name="borg"></a>`borg`

Main class, includes all other classes.

* **See also**
  * https://metacpan.org/pod/App::BorgRestore

#### Parameters

The following parameters are available in the `borg` class:

* [`package_name`](#package_name)
* [`create_prometheus_metrics`](#create_prometheus_metrics)
* [`use_upstream_reporter`](#use_upstream_reporter)
* [`update_borg_restore_db_after_backuprun`](#update_borg_restore_db_after_backuprun)
* [`manage_prune`](#manage_prune)
* [`keep_yearly`](#keep_yearly)
* [`keep_monthly`](#keep_monthly)
* [`keep_weekly`](#keep_weekly)
* [`keep_daily`](#keep_daily)
* [`keep_within`](#keep_within)
* [`compression`](#compression)
* [`excludes`](#excludes)
* [`includes`](#includes)
* [`backupserver`](#backupserver)
* [`install_restore_script`](#install_restore_script)
* [`restore_script_path`](#restore_script_path)
* [`backupdestdir`](#backupdestdir)
* [`absolutebackupdestdir`](#absolutebackupdestdir)
* [`manage_repository`](#manage_repository)
* [`exclude_pattern`](#exclude_pattern)
* [`additional_exclude_pattern`](#additional_exclude_pattern)
* [`restore_dependencies`](#restore_dependencies)
* [`package_ensure`](#package_ensure)
* [`additional_excludes`](#additional_excludes)
* [`additional_includes`](#additional_includes)
* [`username`](#username)
* [`ssh_port`](#ssh_port)
* [`borg_restore_version`](#borg_restore_version)
* [`install_fatpacked_cpanm`](#install_fatpacked_cpanm)
* [`proxy_type`](#proxy_type)
* [`proxy_server`](#proxy_server)
* [`manage_package`](#manage_package)
* [`ssh_key_type`](#ssh_key_type)
* [`backuptime`](#backuptime)
* [`ssh_proxyjump`](#ssh_proxyjump)
* [`wants`](#wants)
* [`requires`](#requires)
* [`after`](#after)

##### <a name="package_name"></a>`package_name`

Data type: `Variant[String[1],Array[String[1]]]`

Name of the borg package

##### <a name="create_prometheus_metrics"></a>`create_prometheus_metrics`

Data type: `Boolean`

Enable a postrun command to create prometheus compatible metrics about all backups

Default value: ``true``

##### <a name="use_upstream_reporter"></a>`use_upstream_reporter`

Data type: `Boolean`

Enable to upstream reporter (see create_prometheus_metrics param) or our vendored version

Default value: ``false``

##### <a name="update_borg_restore_db_after_backuprun"></a>`update_borg_restore_db_after_backuprun`

Data type: `Boolean`

Enable the restore helper from Florian 'Bluewind' Pritz (https://metacpan.org/release/App-BorgRestore) as another postrun command (see also the install_restore_script parameter)

Default value: ``true``

##### <a name="manage_prune"></a>`manage_prune`

Data type: `Boolean`

Enable management of backup prunes. If this is set to `false` all `keep_*` parameters are ignored.

Default value: ``true``

##### <a name="keep_yearly"></a>`keep_yearly`

Data type: `Integer[0]`

For how many years should we keep our backups?

Default value: `3`

##### <a name="keep_monthly"></a>`keep_monthly`

Data type: `Integer[0]`

For how many months should we keep our backups?

Default value: `24`

##### <a name="keep_weekly"></a>`keep_weekly`

Data type: `Integer[0]`

For how many weeks should we keep our backups?

Default value: `36`

##### <a name="keep_daily"></a>`keep_daily`

Data type: `Integer[0]`

For how many days should we keep our backups?

Default value: `60`

##### <a name="keep_within"></a>`keep_within`

Data type: `Integer[0]`

For how many days should we keep all backups we have?

Default value: `30`

##### <a name="compression"></a>`compression`

Data type: `String[1]`

Compression method and level to use. See the output of `borg help compression` for available options.

Default value: `'lz4'`

##### <a name="excludes"></a>`excludes`

Data type: `Array[Stdlib::Absolutepath]`

list of default mountpoints that should be excluded from backups. Every mountpoint needs to be explicitly excluded or included. See also the additional_excludes parameter.

Default value: `['/tmp', '/sys', '/dev', '/proc', '/run', '/media', '/var/lib/nfs/rpc_pipefs']`

##### <a name="includes"></a>`includes`

Data type: `Array[Stdlib::Absolutepath]`

list of default mountpoints that should be included from backups. Every mountpoint needs to be explicitly excluded or included. See also the additional_includes parameter.

Default value: `['/', '/boot', '/boot/efi', '/boot/EFI', '/var/log']`

##### <a name="backupserver"></a>`backupserver`

Data type: `String[1]`

FQDN for the remote server. Will be written into the local ssh client configuration file.

##### <a name="install_restore_script"></a>`install_restore_script`

Data type: `Boolean`

Install the restore helper via cpanm.

##### <a name="restore_script_path"></a>`restore_script_path`

Data type: `Stdlib::Absolutepath`

The path to the restore helper.

##### <a name="backupdestdir"></a>`backupdestdir`

Data type: `String[1]`

The path on the remote server where the backups should be written to. $username will be prepended

Default value: `'borg'`

##### <a name="absolutebackupdestdir"></a>`absolutebackupdestdir`

Data type: `Optional[String[1]]`

By defaults, backups will be written on the remote host to $username/$backupdestdir. if $absolutebackupdestdir is set this will be used instead

Default value: ``undef``

##### <a name="manage_repository"></a>`manage_repository`

Data type: `Boolean`

A Boolean that enables/disables repository management. Only true on Ubuntu 16.04 at the moment

##### <a name="exclude_pattern"></a>`exclude_pattern`

Data type: `Array[String[1]]`

We currently support excludes/includes for mountpoints. borg supports also a list of shell glob/regex pattern to filter for files.

Default value: `['sh:/home/*/.cache/*', 'sh:/root/.cache/*', 'sh:/var/cache/pacman/pkg/*']`

##### <a name="additional_exclude_pattern"></a>`additional_exclude_pattern`

Data type: `Array[String[1]]`

Another array of patterns to extend the modules built-in list (`exclude_pattern` parameter).

Default value: `[]`

##### <a name="restore_dependencies"></a>`restore_dependencies`

Data type: `Array[String[1]]`

A list of dependencies for the restore helper.

Default value: `[]`

##### <a name="package_ensure"></a>`package_ensure`

Data type: `String[1]`

Ensure state for the borg package.

Default value: `present`

##### <a name="additional_excludes"></a>`additional_excludes`

Data type: `Array[Stdlib::Absolutepath]`

Another array of mountpoints to extend the modules built-in list (`excludes` parameter).

Default value: `[]`

##### <a name="additional_includes"></a>`additional_includes`

Data type: `Array[Stdlib::Absolutepath]`

Another array of mountpoints to extend to modules built-in list (`includes` parameter).

Default value: `[]`

##### <a name="username"></a>`username`

Data type: `String[1]`

The ssh username to connect to the remote borg service.

Default value: `$facts['networking']['hostname']`

##### <a name="ssh_port"></a>`ssh_port`

Data type: `Stdlib::Port`

SSH port for the remote server (default: 22). Will be written into the local ssh client configuration file.

Default value: `22`

##### <a name="borg_restore_version"></a>`borg_restore_version`

Data type: `Pattern[/^\d*\.\d*\.\d*$/]`

Version for the perl script App::BorgRestore. change this version and the module will upgrade/downgrade it

Default value: `'3.4.4'`

##### <a name="install_fatpacked_cpanm"></a>`install_fatpacked_cpanm`

Data type: `Boolean`

cpanm is required on systems where we want to have App::BorgRestore. Legacy systems ship a too old cpanm version. For those operating systems we can install the upstream version.

##### <a name="proxy_type"></a>`proxy_type`

Data type: `Optional[Enum['none', 'ftp','http','https']]`

configue a network proxy *type* for the archive resources in this module. You also need to set `proxy_server` if you need a proxy.

Default value: ``undef``

##### <a name="proxy_server"></a>`proxy_server`

Data type: `Optional[String[1]]`

Configurea network proxy for the archive resources in this module. By default no proxy will be used

Default value: ``undef``

##### <a name="manage_package"></a>`manage_package`

Data type: `Boolean`

Enable/Disable management of the actual borg package. People on legacy OS or isolated environments can disable this and manage the binary in their profile.

Default value: ``true``

##### <a name="ssh_key_type"></a>`ssh_key_type`

Data type: `Enum['rsa', 'ed25519']`

configure your most favourite ssh key type. This will be used to connect to the remote borg server.

Default value: `'ed25519'`

##### <a name="backuptime"></a>`backuptime`

Data type: `Hash[String[1],String[1]]`

Configure the name of each backupjob and the time of that job.

Default value: `{ 'default' => '18:30:00' }`

##### <a name="ssh_proxyjump"></a>`ssh_proxyjump`

Data type: `Optional[String[1]]`

Configure possible bastionhosts for the connection.

Default value: ``undef``

##### <a name="wants"></a>`wants`

Data type: `Array[String[1]]`

Array of units where the borg-backup service should depend on

Default value: `['network-online.target']`

##### <a name="requires"></a>`requires`

Data type: `Array[String[1]]`

Array of units which the borg-backup service should require

Default value: `[]`

##### <a name="after"></a>`after`

Data type: `Array[String[1]]`

Array of units that should be started before the borg-backup service

Default value: `['network-online.target']`

